import { HTMLAttributes, KeyboardEvent, MouseEvent, ReactNode } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface BaseChipProps {
    children: ReactNode;
    variant?: 'default' | 'white' | 'warning' | 'error';
    leadingIconData?: IconData;
}
type ReadOnlyChipProps = BaseChipProps & {
    onClick?: undefined;
    onDelete?: undefined;
};
export interface InteractiveChipBase {
    disabled?: boolean;
    selected?: boolean;
}
export type ClickableChipProps = BaseChipProps & InteractiveChipBase & {
    onClick: (event: MouseEvent<HTMLButtonElement> | KeyboardEvent<HTMLButtonElement>) => void;
    onDelete?: undefined;
};
export type DeletableChipProps = BaseChipProps & InteractiveChipBase & {
    onClick?: undefined;
    onDelete: (event: MouseEvent<HTMLButtonElement> | KeyboardEvent<HTMLButtonElement>) => void;
};
type ChipProps = Omit<HTMLAttributes<HTMLDivElement | HTMLButtonElement>, 'onClick'> & (ReadOnlyChipProps | ClickableChipProps | DeletableChipProps);
export declare const Chip: import("react").ForwardRefExoticComponent<ChipProps & import("react").RefAttributes<HTMLButtonElement | HTMLDivElement>>;
export {};
