import React, { ReactElement } from 'react';
export interface InfoElementProps {
    title: string;
    content: string | ReactElement;
    capitalizeContent?: boolean;
    copyableContent?: boolean;
}
/**
 * @param title - String
 * @param content - String | ReactElement
 * @param copyableContent - Should the content be copyable via hover - Defaults to false (only works when content is string)
 * @param capitalizeContent - Should the content be capitalized - Defaults to false (only works when content is string)
 */
export declare const InfoElement: React.ForwardRefExoticComponent<InfoElementProps & React.RefAttributes<HTMLDivElement>>;
