import { FC, HTMLAttributes } from 'react';
import { Editor, Extensions } from '@tiptap/react';
import { ImageExtensionFnProps } from '../RichTextEditor/RichTextEditor.types';
export interface RichTextDisplayProps extends Pick<ImageExtensionFnProps, 'onImageRead'> {
    value: string | null | undefined;
    /**
     * @deprecated - Use OnImageRead instead
     */
    imgReadToken?: string;
    lightBackground?: boolean;
    padding?: 'sm' | 'md' | 'lg' | 'none';
    extensions?: Extensions;
    children?: (editor: Editor) => JSX.Element;
}
/**
 *
 * @param value - Rich text content
 * @param imgReadToken - Deprecated, use onImageRead instead
 * @param onImageRead - handler used when loading images, expects b64 string to be returned
 * @param lightBackground - if it should have a light BG color
 * @param padding - padding in the editor
 * @param extensions - additional extensions to be added
 * @param children - render prop for custom rendering, provides editor via callback
 */
export declare const RichTextDisplay: FC<RichTextDisplayProps & HTMLAttributes<HTMLDivElement>>;
