import { FC, ReactNode } from 'react';
interface SubStep {
    title: string;
    description?: string;
}
interface StepWithSubSteps {
    label: string;
    title?: undefined;
    description?: undefined;
    subSteps: [SubStep, SubStep, ...SubStep[]];
}
interface StepWithoutSubSteps {
    label: string;
    title?: string;
    description?: string;
    subSteps?: undefined;
}
type Step = StepWithSubSteps | StepWithoutSubSteps;
interface StepperContextType {
    steps: [Step, Step, ...Step[]];
    currentStep: number;
    currentSubStep: number;
    setCurrentStep: (value: number) => void;
    goToNextStep: () => void;
    goToPreviousStep: () => void;
}
export declare const StepperContext: import("react").Context<StepperContextType | undefined>;
export declare function useStepper(): StepperContextType;
export interface StepperProviderProps {
    initialStep?: number;
    steps: [Step, Step, ...Step[]];
    children: ReactNode;
}
export declare const StepperProvider: FC<StepperProviderProps>;
export {};
