import { FC, ReactNode } from 'react';
export interface TableOfContentsItemType {
    label: string;
    value: string;
    count?: number;
    disabled?: boolean;
    children?: TableOfContentsItemType[];
}
interface SetSelectedOptions {
    behavior?: ScrollBehavior | undefined;
    shouldInstantlyJumpOnMount?: boolean;
}
interface TableOfContentsContextType {
    items: TableOfContentsItemType[];
    selected: string | undefined;
    setSelected: (value: string, options?: SetSelectedOptions) => void;
    isActive: (item: TableOfContentsItemType) => boolean;
}
export declare function useTableOfContents(): TableOfContentsContextType;
export interface TableOfContentsProviderProps {
    items: TableOfContentsItemType[];
    children: ReactNode;
    hashNavigation?: boolean;
}
export declare const TableOfContentsProvider: FC<TableOfContentsProviderProps>;
export {};
